# $Revision: 1.22 $, $Date: 2010/10/09 16:48:45 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTTP
%define		_subclass	Server
%define		_status		alpha
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - HTTP server class
Summary(pl.UTF-8):	%{_pearname} - klasa do obsługi serwera HTTP
Name:		php-pear-%{_pearname}
Version:	0.4.1
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	05b23509d6d9c34a2b78837a272218e5
URL:		http://pear.php.net/package/HTTP_Server/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-HTTP
Requires:	php-pear-Net_Server >= 0.12.0
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%{_pearname} class that allows you to easily implement HTTP servers by
supplying callbacks. The base class will parse the request, call the
apropriate callback and build a response based on an array that the
callbacks have to return.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa HTTP_Server pozwala na łatwe implementowanie serwerów HTTP
poprzez dostarczanie callbacków. Klasa bazowa analizuje żądanie,
wywołuje odpowiedni callback i tworzy odpowiedź w oparciu o tablicę
zwróconą przez callback.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTTP_Server.spec,v $
Revision 1.22  2010/10/09 16:48:45  glen
- updated to: 0.4.1

Revision 1.21  2010/08/21 19:09:20  glen
- updated deps with pearize.sh
- release 6

Revision 1.20  2008/01/31 12:17:19  glen
- rel 5

Revision 1.19  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.17  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.16  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.15  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.14  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.13  2005/10/05 20:11:06  glen
- rel 3

Revision 1.12  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.11  2005/09/27 16:54:56  glen
- new pear packaging (fixed %files); rel 2

Revision 1.10  2005/01/01 14:08:38  adamg
- updated to 0.4.0

Revision 1.9  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.8  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.7  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.6  2004/02/01 21:45:05  adamg
- updated to 0.3

Revision 1.5  2003/10/07 20:55:00  adamg
- do not use macros in URL

Revision 1.4  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.3  2003/07/31 22:21:26  qboosh
- pl

Revision 1.2  2003/07/23 18:27:05  adamg
- updated to 0.2

Revision 1.1  2003/07/23 07:07:37  adamg
- initial import
